Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class LockEntry

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.PublicObject
                  oracle.ifs.beans.TiePublicObject
                      oracle.ifs.beans.LockEntry

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  TieLockEntry

    public class LockEntry

extends TiePublicObject

A LockEntry represents restrictions applied to a PublicObject.

(Unpublished)

Field Summary
`static java.lang.String` | `ASSOCIATEDPUBLICOBJECT_ATTRIBUTE` The name of the Attribute used to reference the PublicObject that this LockEntry is associated with.
`static java.lang.String` | `CLASS_NAME` The name of the ClassObject representing this class.
`static java.lang.String` | `DAVOWNER_ATTRIBUTE` The name of the Attribute used to reference the DAV owner field for this LockEntry.
`static java.lang.String` | `DEPTH_ATTRIBUTE` The name of the Attribute used to reference the depth value for locks on folders.
`static java.lang.String` | `EXCEPTEDSESSION_ATTRIBUTE` The name of the Attribute used to reference the session for which the restrictions described by this LockEntry do not apply.
`static java.lang.String` | `EXCEPTEDUSER_ATTRIBUTE` The name of the Attribute used to reference the DirectoryUser for which the restrictions described by this LockEntry do not apply.
`static java.lang.String` | `INFO_ATTRIBUTE` The name of the Attribute used to reference an information object that describes the LockEntry.
`static int` | `LOCKTYPE_UNKNOWN` Represents the "unknown" LockEntry type.
`static java.lang.String` | `RESTRICTION_ATTRIBUTE` The name of the Attribute used to reference the permissions restricted on the associated PublicObject(s) because of this LockEntry.
`static java.lang.String` | `TIMEOUT_ATTRIBUTE` The name of the Attribute used to reference the timeout of a lock.
`static java.lang.String` | `TOKEN_ATTRIBUTE` The name of the Attribute used to reference the token for this LockEntry.
`static java.lang.String` | `TYPE_ATTRIBUTE` The name of the Attribute used to reference the type of lock this LockEntry describes.

Fields inherited from class oracle.ifs.beans.PublicObject
`ACL_ATTRIBUTE, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, DESCRIPTION_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, FLAG_CATEGORY_EXISTS, FLAG_CONFIGURATIONCATEGORY_EXISTS, FLAG_MARKED, FLAG_NOINFERIOR, FLAG_NOSELECT, FLAG_NTFS_ARCHIVE, FLAG_NTFS_HIDDEN, FLAG_NTFS_READONLY, FLAG_NTFS_SYSTEM, FLAG_UNMARKED, FLAGS_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, LOCKENTRIES_ATTRIBUTE, LOCKOBJECT_ATTRIBUTE, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PRIMARYPARENTFOLDER_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE, RESOLVEDPUBLICOBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `LockEntry(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Construct a LockEntry object.

Method Summary
`PublicObject` | `getAssociatedPublicObject()` Gets the PublicObject that this LockEntry is associated with.
`static java.lang.Long` | `getClassId(LibrarySession session)` Get the ID of the ClassObject representing LOCKENTRY.
`java.lang.String` | `getDavOwner()` Gets the DAV owner for this LockEntry.
`int` | `getDepth()` Gets the depth value for locks on folders.
`long` | `getExceptedSession()` Gets the session for which the restrictions described by this LockEntry do not apply.
`DirectoryUser` | `getExceptedUser()` Gets the DirectoryUser for which the restrictions described by this LockEntry do not apply.
`PublicObject` | `getInfo()` Gets an information object that describes the LockEntry.
`long` | `getResolvedRestriction(java.lang.Long userId, java.lang.Long sessId)` Gets the resolved permissions restricted on the associated PublicObject(s) because of this LockEntry, on behalf of a specified user and session.
`long` | `getRestriction()` Gets the permissions restricted on the associated PublicObject(s) because of this LockEntry.
`java.util.Date` | `getTimeout()` Gets the time at which the LockEntry will timeout.
`java.lang.String` | `getToken()` Gets the token for this LockEntry.
`int` | `getType()` Gets the type of lock this LockEntry describes.
`static int` | `releaseExpiredLocks(LibrarySession session, int batchSize)` Release expired LockEntries.

Methods inherited from class oracle.ifs.beans.PublicObject
`addAccess, addCategory, addFlags, addRelationship, auditPublicObjectLocked, auditPublicObjectUnlocked, canAcquireManualLock, canReleaseDavLock, canReleaseLock, canReleaseManualLock, capabilities, checkAuditViewCapability, checkCapabilities, checkCapability, checkEffectiveAccess, checkEffectiveAccess, checkLockAccess, checkVersioned, clearFlags, constructPublicObject, constructPublicObjectArray, constructPublicObjectVector, copy, coreAutoFolderingEnabled, createCategories, createDedicatedPolicyPropertyBundle, delete, deriveEffectiveAccessLevel, free, getAcl, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getCapabilities, getCategories, getCategories, getCategories, getCategories, getCategories, getCategory, getConsumedStorage, getCreateDate, getCreator, getDefaultAccessLevel, getDeletor, getDescription, getEffectiveAccessLevel, getEffectiveAccessLevel, getExpirationDate, getFamily, getFirstVersion, getFlags, getFolderReferences, getFolderReferences, getFolderReferencesSortSpecification, getLastModifier, getLastModifyDate, getLastVersion, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLeftwardRelationshipsCount, getLeftwardRelationshipsCount, getLinks, getLockEntries, getLockEntries, getLockObject, getLockRestrictions, getLockTypeAuditProperties, getNextVersion, getOwner, getPolicyBundle, getPolicyLists, getPreviousVersion, getPrimaryFolderPath, getPrimaryParentFolder, getPrimaryParentFolder, getReservationComment, getReservationDate, getReservor, getResolvedPublicObject, getRestrictingLockEntries, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSecuringPublicObject, getSingletonVersionDescription, getVersionNumber, getVersions, getVersionSeries, getWorkingCopy, grantAccess, handleCopy, handleCreate, handleUnlockAll, hasCategories, hasConfigurationCategories, hasNameAttribute, isDeleted, isLatestVersion, isLocked, isLockingSupported, isOwner, isReserved, isReservedByCurrentUser, isVersionable, isVersioned, isWorkingCopy, listLeftwardRelationships, listRightwardRelationships, lock, lock, lock, lock, newVersion, postCopy, postCreate, postUpdate, preCopy, preCreate, preFree, preUpdate, putPolicy, reassociateLinks, removeAllPolicies, removePolicy, removePolicy, removeRelationship, reserveNext, resetFolderReferences, resolveFolderReferenceSortSpecification, revokeAccess, revokeAllAccess, setAcl, setDescription, setExpirationDate, setFlags, setFolderReferencesSortSpecification, setLockEntries, setLockEntrySecurity, setOwner, setOwnerByName, setPolicyBundle, setPolicyLists, setSecuringPublicObject, toPublicObjectArray, undelete, unlock, unlock, unlockAll, unReserve, updateFlags, updateLock, vectorPublicObjectElement, vectorToPublicObjectArray, verifyDeleteCapability, verifyLockCapability, verifyUnlockCapability, verifyVersionSeries`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `LockEntry`
  The name of the ClassObject representing this class.

  See Also:
    Constant Field Values
  (Published)

### ASSOCIATEDPUBLICOBJECT_ATTRIBUTE

    public static final java.lang.String ASSOCIATEDPUBLICOBJECT_ATTRIBUTE

  Description copied from class: `LockEntry`
  The name of the Attribute used to reference the PublicObject that this LockEntry is associated with. This allows different sets of data to be associated with the same lock.

  See Also:
    Constant Field Values
  (Published)

### TYPE_ATTRIBUTE

    public static final java.lang.String TYPE_ATTRIBUTE

  Description copied from class: `LockEntry`
  The name of the Attribute used to reference the type of lock this LockEntry describes.

  See Also:
    Constant Field Values
  (Published)

### RESTRICTION_ATTRIBUTE

    public static final java.lang.String RESTRICTION_ATTRIBUTE

  Description copied from class: `LockEntry`
  The name of the Attribute used to reference the permissions restricted on the associated PublicObject(s) because of this LockEntry.

  See Also:
    Constant Field Values
  (Published)

### TIMEOUT_ATTRIBUTE

    public static final java.lang.String TIMEOUT_ATTRIBUTE

  Description copied from class: `LockEntry`
  The name of the Attribute used to reference the timeout of a lock.

  See Also:
    Constant Field Values
  (Published)

### EXCEPTEDUSER_ATTRIBUTE

    public static final java.lang.String EXCEPTEDUSER_ATTRIBUTE

  Description copied from class: `LockEntry`
  The name of the Attribute used to reference the DirectoryUser for which the restrictions described by this LockEntry do not apply.

  See Also:
    Constant Field Values
  (Published)

### EXCEPTEDSESSION_ATTRIBUTE

    public static final java.lang.String EXCEPTEDSESSION_ATTRIBUTE

  Description copied from class: `LockEntry`
  The name of the Attribute used to reference the session for which the restrictions described by this LockEntry do not apply.

  See Also:
    Constant Field Values
  (Published)

### INFO_ATTRIBUTE

    public static final java.lang.String INFO_ATTRIBUTE

  Description copied from class: `LockEntry`
  The name of the Attribute used to reference an information object that describes the LockEntry.

  See Also:
    Constant Field Values
  (Published)

### DAVOWNER_ATTRIBUTE

    public static final java.lang.String DAVOWNER_ATTRIBUTE

  Description copied from class: `LockEntry`
  The name of the Attribute used to reference the DAV owner field for this LockEntry.

  See Also:
    Constant Field Values
  (Published)

### TOKEN_ATTRIBUTE

    public static final java.lang.String TOKEN_ATTRIBUTE

  Description copied from class: `LockEntry`
  The name of the Attribute used to reference the token for this LockEntry.

  See Also:
    Constant Field Values
  (Published)

### DEPTH_ATTRIBUTE

    public static final java.lang.String DEPTH_ATTRIBUTE

  Description copied from class: `LockEntry`
  The name of the Attribute used to reference the depth value for locks on folders.

  See Also:
    Constant Field Values
  (Published)

### LOCKTYPE_UNKNOWN

    public static final int LOCKTYPE_UNKNOWN

  Description copied from class: `LockEntry`
  Represents the "unknown" LockEntry type.

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### LockEntry

    protected LockEntry(LibrarySession session,
                        java.lang.Long id,
                        java.lang.Long classId,
                        S_LibraryObjectData data)
                 throws IfsException

  Construct a LockEntry object.

  Parameters:
    `session` - current LibrarySession
    `id` - object id
    `classId` - class id
    `data` - data component
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### getClassId

    public static java.lang.Long getClassId(LibrarySession session)
                                     throws IfsException

  Description copied from class: `LockEntry`
  Get the ID of the ClassObject representing LOCKENTRY.

  Parameters:
    `session` - the session context
  Returns:
    the ID of the LOCKENTRY ClassObject
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getAssociatedPublicObject

    public PublicObject getAssociatedPublicObject()
                                           throws IfsException

  Description copied from class: `LockEntry`
  Gets the PublicObject that this LockEntry is associated with.

  Returns:
    the PublicObject
  Throws:
    `IfsException` - if operation fails
  (Published)

### getType

    public int getType()
                throws IfsException

  Description copied from class: `LockEntry`
  Gets the type of lock this LockEntry describes.

  Returns:
    the type of lock
  Throws:
    `IfsException` - if operation fails
  (Published)

### getRestriction

    public long getRestriction()
                        throws IfsException

  Description copied from class: `LockEntry`
  Gets the permissions restricted on the associated PublicObject(s) because of this LockEntry.

  Returns:
    the locked permissions
  Throws:
    `IfsException` - if operation fails
  (Published)

### getTimeout

    public java.util.Date getTimeout()
                              throws IfsException

  Description copied from class: `LockEntry`
  Gets the time at which the LockEntry will timeout.

  A null value indicates that the lock does not timeout.

  Returns:
    the time at which the lock times out; null for none
  Throws:
    `IfsException` - if operation fails
  (Published)

### getExceptedUser

    public DirectoryUser getExceptedUser()
                                  throws IfsException

  Description copied from class: `LockEntry`
  Gets the DirectoryUser for which the restrictions described by this LockEntry do not apply.

  Returns:
    the excepted user
  Throws:
    `IfsException` - if operation fails
  (Published)

### getExceptedSession

    public long getExceptedSession()
                            throws IfsException

  Description copied from class: `LockEntry`
  Gets the session for which the restrictions described by this LockEntry do not apply.

  A value of zero is returned if there is no excepted session.

  Returns:
    the excepted session, or zero if no excepted session
  Throws:
    `IfsException` - if operation fails
  (Published)

### getInfo

    public PublicObject getInfo()
                         throws IfsException

  Description copied from class: `LockEntry`
  Gets an information object that describes the LockEntry.

  Returns:
    the informational PublicObject
  Throws:
    `IfsException` - if operation fails
  (Published)

### getDavOwner

    public java.lang.String getDavOwner()
                                 throws IfsException

  Description copied from class: `LockEntry`
  Gets the DAV owner for this LockEntry.

  Returns:
    the DAV owner
  Throws:
    `IfsException` - if operation fails
  (Published)

### getToken

    public java.lang.String getToken()
                              throws IfsException

  Description copied from class: `LockEntry`
  Gets the token for this LockEntry.

  Returns:
    the lock token
  Throws:
    `IfsException` - if operation fails
  (Published)

### getDepth

    public int getDepth()
                 throws IfsException

  Description copied from class: `LockEntry`
  Gets the depth value for locks on folders.

  This information is only used for certain types of locks, such as DAV locks on folders.

  Returns:
    the lock depth
  Throws:
    `IfsException` - if operation fails
  (Published)

### getResolvedRestriction

    public long getResolvedRestriction(java.lang.Long userId,
                                       java.lang.Long sessId)
                                throws IfsException

  Description copied from class: `LockEntry`
  Gets the resolved permissions restricted on the associated PublicObject(s) because of this LockEntry, on behalf of a specified user and session.

  Parameters:
    `userId` - the user the check is for
    `sessId` - the session the check is for
  Returns:
    the locked permissions
  Throws:
    `IfsException` - if operation fails
  (Published)

### releaseExpiredLocks

    public static int releaseExpiredLocks(LibrarySession session,
                                          int batchSize)
                                   throws IfsException

  Description copied from class: `LockEntry`
  Release expired LockEntries.

  Parameters:
    `session` - session context
    `batchSize` - batch size to select the items; a value of 0 implies a default batchsize
  Returns:
    the number of LockEntries released
  Throws:
    `IfsException` - if operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD